## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          jigdo
Version:       0.8.2
Release:       %autorelease
Summary:       Ease distribution of large files over the Internet

# Exception is permission to link with OpenSSL
License:       GPL-2.0-only WITH x11vnc-openssl-exception
URL:           https://www.einval.com/~steve/software/jigdo/
Source0:       %{url}download/%{name}-%{version}.tar.xz
Source1:       %{url}download/%{name}-%{version}.tar.xz.sig
Source2:       https://www.einval.com/~steve/pgp/587979573442684E.asc
Source3:       jigdo.desktop
# fix doc SGML sources e.g. for missing end tags
Patch:         %{name}-0.8.1-fix-docs.patch

BuildRequires: bzip2-devel
BuildRequires: curl-devel
BuildRequires: docbook-utils
BuildRequires: gawk
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: gnupg2
BuildRequires: libdb-devel
BuildRequires: make
BuildRequires: wget
BuildRequires: zlib-devel
Requires:      wget

%global _description %{expand:
Jigsaw Download (for short jigdo) is a scheme developed primarily to make it
easy to distribute huge filesystem images (e.g. CD (ISO9660) or DVD (UDF)
images) over the internet, but it could also be used for other data which is
awkward to handle due to its size, like audio/video files or large software
packages.

jigdo tries to ensure that the large file is downloaded in small parts which can
be stored on different servers. People who want to download the image do so by
telling the jigdo download tool to process one ".jigdo" file; using it, jigdo
downloads the parts and reassembles the image. jigdo-file is used to prepare the
files for download.}

%description %{_description}


%prep
%autosetup -p1
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

# don't clobber -g from C*FLAGS
sed -i '/.*echo "$C.*FLAGS"/d' configure


%build
export LDFLAGS="$LDFLAGS -lpthread"
%configure --with-libdb=-ldb
# make_build
make # not SMP safe


%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc changelog README THANKS doc/*.html doc/TechDetails.txt doc/README-bindist.txt
%{_bindir}/jigdo-file
%{_bindir}/jigdo-lite
%{_bindir}/jigdo-mirror
%{_datadir}/%{name}
%{_mandir}/man1/jigdo-file.1*
%{_mandir}/man1/jigdo-lite.1*
%{_mandir}/man1/jigdo-mirror.1*


%changelog
* Wed Aug 30 2023 Michel Lind <salimma@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2
- Use SPDX license identifier

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 26 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.1-4
- Fix header inclusions for compiling with GCC 13

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.1-1
- Unretire and update to 0.8.1; drop GUI (requires retired libgail-gnome)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 10 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.7.3-29
- Add gcc gcc-c++ to BRs

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 17 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.7.3-25
- Add jigdo-0.7.3-gcc7.patch (Fix F26FTBFS).

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.3-21
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.3-17
- Remove vendor prefix from desktop file for f19+ https://fedorahosted.org/fesco/ticket/1077
- Fix build by explicitly linking to libpthread

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 0.7.3-15
- fix the BR: db4-devel to BR: libdb-devel

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-13
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Sep 10 2011 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.7.3-11
- Split out gui into sub-package (#675917)
- Fix URL (#645835)
- Fix missing jigdo-mirror (#587578)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.3-7
- fix license tag

* Tue Mar 11 2008 Ian Burrell <ianburrell@gmail.com> - 0.7.3-6
- Add patch for gcc 4.3 support

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.3-5
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Ian M. Burrell <ianburrell@gmail.com> - 0.7.3-4
- Rebuild for db4 upgrade

* Tue Oct 31 2006 Ian Burrell <ianburrell@gmail.com> - 0.7.3-3
- Rebuild for curl update

* Mon Sep 11 2006 Ian Burrell <ianburrell@gmail.com> - 0.7.3-2
- Rebuild for FC6

* Sun Jun 25 2006 Ian Burrell <ianburrell@gmail> - 0.7.3-1
- Update to 0.7.3
- Remove obsolete patches

* Wed Mar  8 2006 Ian Burrell <ianburrell@gmail.com> - 0.7.2-3
- Remove dependency on w3c-libwww

* Sun Jan 29 2006 Ian Burrell <ianburrell@gmail.com> - 0.7.2-2
- Cleanup BuildRequires
- Patch for GCC 4.1

* Thu Dec 22 2005 Ian Burrell <ianburrell@gmail.com> - 0.7.2-1
- Update to 0.7.2
- Patch from CVS for 64-bit

* Fri Apr 15 2005 Charles R. Anderson <cra@wpi.edu> 0.7.1-4
- add gcc4 patch
- remove --enable-debug and patch out configure's removal of -g

* Fri Apr 15 2005 Charles R. Anderson <cra@wpi.edu> 0.7.1-3
- BR gettext instead
- move icon back to /usr/share/pixmaps
- add Category GTK to desktop file

* Fri Apr 15 2005 Charles R. Anderson <cra@wpi.edu> 0.7.1-2
- BR gettext-devel
- desktop category X-Fedora-Extra

* Mon Apr 11 2005 Charles R. Anderson <cra@wpi.edu> 0.7.1-1
- prepare for Fedora Extras
- update to 0.7.1
- remove unneeded db41 and debug patches

* Fri Jul 02 2004 Charles R. Anderson <cra@wpi.edu> 0:0.7.0-0.fdr.5
- install icon to /usr/share/jigdo/pixmaps and use that path in desktop file
- remove jigdo-mirror, since it is debian-specific

* Tue Jun 01 2004 Charles R. Anderson <cra@wpi.edu> 0:0.7.0-0.fdr.4
- don't strip binaries so debuginfo is created properly
- make jigdo-icon.png non-executable
- fixup buildroot path in jigdo-lite
- use more descriptive summary, description, and desktop file metadata

* Mon Feb 02 2004 Charles R. Anderson <cra@wpi.edu> 0:0.7.0-0.fdr.3
- Revise patch to compile against db-4.1+

* Mon Feb 02 2004 Charles R. Anderson <cra@wpi.edu> 0:0.7.0-0.fdr.2
- Add patch to compile against db-4.2.
- BuildRequires: zlib-devel, /bin/awk
- Requires: wget
- Integrate jigdo.desktop into .spec file

* Sat Jan 31 2004 Charles R. Anderson <cra@wpi.edu> 0:0.7.0-0.fdr.1
- Initial fedoraized release
- Install i18n files
- Install desktop file and icon
- Add a bunch of BuildRequires

* Mon Jan 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-4mdk
- Icons will be provided in the gfx subdirectory of the tarball

* Sun Jan 25 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-3mdk
- Jigdo compiles with gcc 2.96 now
- Only re-define the macros if they aren't yet defined

* Sat Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-2mdk
- Make the SPEC be generic, so that it can be built on non-Mandrake
  machines

* Sat Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.2-1mdk
- 0.6.2
- Remove patch1 - merged upstream

* Tue Jan 22 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.6.1-1mdk
- First Mandrake release


